API referenceWebhooks
Get a webhook endpoint
GET
header
X-API-Key<token>Create in the console: Settings → API & webhooks.
endpoint_id*Endpoint IdWebhook endpoint id.
OK
application/json- response
success?SuccessAlways true on a 2xx response.
Default
truewebhookEndpoint*[key: string]?anycurl -X GET 'https://api.callmitra.ai/api/v1/webhook-endpoints/string'Example Response
{ "success": true, "webhookEndpoint": { "consecutiveFailures": 0, "createdAt": "2026-11-01T08:15:00+00:00", "description": "CRM sync", "enabled": true, "events": [ "call.completed", "call.escalated", "lead.created" ], "id": "4f0c2a8e-7b1d-4c39-9a51-2d6e8f3b1c07", "lastStatus": "HTTP 200", "lastSuccessAt": "2026-11-15T10:42:07.512000+00:00", "updatedAt": "2026-11-15T10:42:07.512000+00:00", "url": "https://example.com/hooks/call-mitra" }}